Summary: 	PCI bus related utilities.
Name:		pciutils
Version:	3.1.6
Release: 	1
Group: 		Libraries
Source:		ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/%name-%version.tar.gz
Patch1:         pciutils-2.2.4-buf.patch
#don't segfault on systems without PCI bus (#84146)
Patch2:         pciutils-2.1.10-scan.patch
#use pread/pwrite, ifdef check is obsolete nowadays
Patch3:         pciutils-havepread.patch
#change pci.ids directory to hwdata, fedora/rhel specific
Patch6:         pciutils-2.2.1-idpath.patch
#multilib support
Patch8:         pciutils-3.0.2-multilib.patch
#add support for directory with another pci.ids, rejected by upstream, rhbz#195327
Patch9:         pciutils-dir-d.patch
#platform support 3x
Patch10:        pciutils-2.2.10-sparc-support.patch
Patch11:        pciutils-3.0.1-superh-support.patch
Patch12:        pciutils-3.1.2-arm.patch
License:	GPL
Buildroot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	hwdata

%description
The PCI Utilities are a set of programs for listing PCI devices, 
inspecting their status and setting their configuration registers.
It comes with a library for portable configuration register access.

%package 	devel
Summary: 	Linux PCI development library.
Group: 		Development

%description 	devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%prep
%setup -q
%patch1 -p1 -b .buf
%patch2 -p1 -b .scan
%patch3 -p1 -b .pread
%patch6 -p1 -b .idpath
%patch8 -p1 -b .multilib
%patch9 -p1 -b .dird
%patch10 -p1 -b .sparc
%patch11 -p1 -b .superh
%patch12 -p1 -b .arm

sed -i -e 's/^SRC=.*/SRC="http:\/\/pciids.sourceforge.net\/pci.ids"/' update-pciids.sh

%build
make SHARED="no" ZLIB="no" STRIP="" OPT="$RPM_OPT_FLAGS" PREFIX="/usr" IDSDIR="/usr/share/hwdata" PCI_IDS="pci.ids"
mv lib/libpci.a lib/libpci.a.static

make clean
make SHARED="yes" ZLIB="no" STRIP="" OPT="$RPM_OPT_FLAGS" PREFIX="/usr" IDSDIR="/usr/share/hwdata" PCI_IDS="pci.ids"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8,%{_libdir},%{_libdir}/pkgconfig,%{_includedir}/pci}

install -p lspci setpci update-pciids $RPM_BUILD_ROOT/sbin
install -p -m644 lspci.8 setpci.8 update-pciids.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p  lib/libpci.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
ln -s $(basename $RPM_BUILD_ROOT%{_libdir}/*.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libpci.so

cp lib/libpci.a.static $RPM_BUILD_ROOT%{_libdir}/libpci.a
/sbin/ldconfig -N $RPM_BUILD_ROOT%{_libdir}
install -p -m644 lib/pci.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m644 lib/header.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m644 lib/config.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m644 lib/types.h $RPM_BUILD_ROOT%{_includedir}/pci
install -p -m644 lib/libpci.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig

cd $RPM_BUILD_ROOT/usr/include
ln -sf pci/* .
mkdir -p $RPM_BUILD_ROOT/usr/sbin;cd $RPM_BUILD_ROOT/usr/sbin
ln -sf ../../sbin/lspci lspci
ln -sf ../../sbin/setpci setpci

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/*.so.*
/usr/lib/*.so
/usr/sbin
/usr/man
/sbin

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/lib/pkgconfig
/usr/include
